<div id="ribbon">
    <!-- breadcrumb -->
    <ol class="breadcrumb">
       
        <li>{{LANG.CATEGORY}}</li>
    </ol>
    <!-- end breadcrumb -->
</div>
<div  class="pad-t-13 col-md-12">
    <div class="bg-color-white pad-15 border-ccc ">

        <div class="panel-group">
            <div class="panel panel-default">
                    <div class="panel-body bg-gray">   
                        <p >{{LANG.SEARCH}}</p>
                        <input type="text" class="form-control" placeholder="{{LANG.PHONE}}" ng-model="formDataSearch.name">    
                    </div>
                    <div class="panel-footer">  
                        
                        <div class="row">
                            <div class="col-md-6">
                                <table>
                                    <tr>
                                        <td> {{LANG.SHOW}} :&nbsp;</td>
                                        <td width="50">
                                            <select class="form-control" ng-model="formDataSearch.limit" ng-change="showLimit(formDataSearch.limit)">
                                                <option value="10"> 10</option>
                                                <option value="20"> 20</option>
                                                <option value="30"> 30</option>
                                                <option value="40"> 40</option>
                                                <option value="50"> 50</option>
                                                <option value="100"> 100</option>
                                                <option value="150"> 150</option>
                                                <option value="200"> 200</option>
                                                <option value="250"> 250</option>
                                                <option value="300"> 300</option>
                                                <option value="350"> 350</option>
                                                <option value="400"> 400</option>
                                            </select>
                                        </td>
                                        <td class="pad-t-4">
                                            &nbsp;&nbsp;
                                            <paging
                                                page="page"
                                                page-size="limit"
                                                total="total"
                                                hide-if-empty="true"
                                                show-prev-next="true"
                                                show-first-last="true"
                                                text-first="First"
                                                text-last="Last"
                                                text-next=">>"
                                                text-prev="<<"
                                                paging-action="getListData(page)">
                                            </paging>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <div class="col-md-6">
                                <div class="pull-right pad-t-4">
                                    <button data-toggle="modal" data-target="#createForm" class="btn btn-success" type="button">{{LANG.NEW}}</button>
                                    <button class="btn btn-default" >{{LANG.EXPORT}}</button>
                                    <button ng-click="getListData()" class="btn btn-primary " type="button">{{LANG.FILTER}}</button>
                
                                </div>
                            </div>
                        </div>
                   
                    </div>
            </div>
        </div>

       

        <div class="clear">

        </div>
        
        <div class="table-responsive">	
            <table class="table table-hover table-bordered small">
                <thead>
                    <tr>
                        <th>{{LANG.NON}}</th>
                        <th>{{LANG.BARCODE}}</th>
                        <th>{{LANG.NAME}}</th>
                        <th>{{LANG.PHONE}}</th>
                        <th>{{LANG.EMAIL}}</th>
                        <th>{{LANG.ADDRESS}}</th>
                        <th class="text-center" width="100">{{LANG.ACTION}}</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="(key,valueData) in listData">
                        <td>{{valueData.index}}</td>
                        <td>{{valueData.barcode}}</td>
                        <td>{{valueData.name}}</td>
                        <td>{{valueData.phone}}</td>
                        <td>{{valueData.email}}</td>
                        <td>{{valueData.address}}</td>
                        <td class="text-right">
                            <a class="btn btn-xs btn-primary" data-toggle="modal" data-target="#editForm" ng-click="updateFormData(valueData)"><i class="fa fa-edit"></i></a>
                            <a class="btn btn-xs btn-danger" data-toggle="modal" data-target="#deleteForm" ng-click="showFormDelete(valueData.id)"><i class="fa fa-trash"></i></a>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
<div class="clear">

</div>

<div class="modal fade" id="createForm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <form name="form" novalidate="novalidate" ng-submit="form.$valid && actionSaveData() ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">{{LANG.NEW}}</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>{{LANG.BARCODE}} :</label>
                            <input type="text" class="form-control" name="barcode" ng-model="formData.barcode"  placeholder="" required />
                            <div ng-show="form.$submitted || form.barcode.$touched">
                                <div ng-show="form.barcode.$error.required" class="text-danger">{{LANG.BARCODE_REQUIRED}}</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.NAME}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formData.name"  placeholder="" required />
                            <div ng-show="form.$submitted || form.name.$touched">
                                <div ng-show="form.name.$error.required" class="text-danger">{{LANG.NAME_REQUIRED}}</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.PHONE}} :</label>
                            <input type="text" class="form-control" name="phone" ng-model="formData.phone"  placeholder="" required />
                            <div ng-show="form.$submitted || form.phone.$touched">
                                <div ng-show="form.phone.$error.required" class="text-danger">{{LANG.PHONE_REQUIRED}}</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.EMAIL}} :</label>
                            <input type="text" class="form-control" name="email" ng-model="formData.email"  placeholder=""  />
                           
                        </div>
                      
                        <div class="form-group">
                            <label>{{LANG.ADDRESS}} :</label>
                            
                            <textarea rows="3" class="form-control" ng-model="formData.description" ></textarea>
                       
                        </div>
                    </div>
                </div>
              
                
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary">
                    {{LANG.SAVE}}
                 </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {{LANG.CANCEL}}
                </button>
                
            </div>
        </div><!-- /.modal-content -->
        </form>
    </div><!-- /.modal-dialog -->
</div>

<div class="modal fade" id="editForm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <form name="formUpdate" novalidate="novalidate" ng-submit="formUpdate.$valid && actionEditData() ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">{{LANG.UPDATE}}</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>{{LANG.NAME}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formUpdateData.name"  placeholder="" required />
                            <div ng-show="formUpdate.$submitted || form.name.$touched">
                                <div ng-show="formUpdate.name.$error.required" class="text-danger">{{LANG.NAME_REQUIRED}}</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.PHONE}} :</label>
                            <input type="text" class="form-control" name="phone" ng-model="formUpdateData.phone"  placeholder="" required />
                            <div ng-show="form.$submitted || form.phone.$touched">
                                <div ng-show="form.phone.$error.required" class="text-danger">{{LANG.PHONE_REQUIRED}}</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.EMAIL}} :</label>
                            <input type="text" class="form-control" name="email" ng-model="formUpdateData.email"  placeholder=""  />
                           
                        </div>
                        <div class="form-group">
                            <label>{{LANG.ADDRESS}} :</label>
                            <textarea rows="3" ng-model="formUpdateData.description" class="form-control"></textarea>
                        </div>
                       
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary">
                    {{LANG.SAVE}}
                 </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {{LANG.CANCEL}}
                </button>
            </div>
        </div><!-- /.modal-content -->
        </form>
    </div><!-- /.modal-dialog -->
</div>

<div class="modal fade" id="deleteForm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">{{LANG.DELETE}}</h4>
            </div>
            <div class="modal-body">
                <h3>{{LANG.DO_YOU_WANT_TO_DELETE}}</h3>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" ng-click="actionDeleteData(id)">
                    {{LANG.YES}}
                 </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {{LANG.NO}}
                </button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>

